<?php
/**
 * Filename: _shortcodes_customsearch.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class sbpShortcodesCustomsearch {
	function __construct() {
		add_action('init', array($this, 'init'));
	}

	function init() {
		add_shortcode(SBP_CODE .'_cs', array($this, 'code'));
	}

	function code($atts) {
		ob_start();
		$this->content($atts);
		$content = ob_get_clean();
		return $content;
	}

	function content($atts) {
		extract(shortcode_atts(array(
			'id' => ''
		), $atts));

		global $sbpDatabaseCustomsearch;

		$csid   = intval($id);
		$cs     = $sbpDatabaseCustomsearch->getCustomsearchById($csid);
		$styles = get_option($sbpDatabaseCustomsearch->tableCsStyles .'_'. $csid);

		if ($cs['status'] == SBP_ENABLED) {
			$txtbox_width       = (0 != strlen($styles['shortcode_txtbox_width'])) ? 'size="'. $styles['shortcode_txtbox_width'] .'"' : '';
			$txtbox_padding     = (0 != strlen($styles['shortcode_txtbox_padding'])) ? 'padding:'. $styles['shortcode_txtbox_padding'] .'!important;' : '';
			$txtbox_border      = (0 != strlen($styles['shortcode_txtbox_border'])) ? 'border:'. $styles['shortcode_txtbox_border'] .'!important;' : '';
			$txtbox_fontsize    = (0 != strlen($styles['shortcode_txtbox_fontsize'])) ? 'font-size:'. $styles['shortcode_txtbox_fontsize'] .'!important;' : '';

			$btn                = (0 != strlen($styles['btn'])) ? $styles['btn'] : 'Search';
			$btn_bg             = (0 != strlen($styles['btn_bg'])) ? 'background:'. $styles['btn_bg'] .'!important;' : '';
			$btn_padding        = (0 != strlen($styles['btn_padding'])) ? 'padding:'. $styles['btn_padding'] .'!important;' : '';
			$btn_color          = (0 != strlen($styles['btn_color'])) ? 'color:'. $styles['btn_color'] .'!important;' : '';


			//* add impression
			$impression = array(
				'csid'      => $csid,
				'created'   => strftime('%Y-%m-%d %T'),
				'modified'  => strftime('%Y-%m-%d %T'),
				'ip'        => $_SERVER['REMOTE_ADDR'],
				'status'    => SBP_ENABLED
			);
			$sbpDatabaseCustomsearch->addImpression($impression);
			?>


			<form name="sCsForm<?php echo $csid; ?>" id="sCsForm<?php echo $csid; ?>" method="POST" action="">
				<input type="hidden" name="cs-s-url" id="cs-s-url" value="<?php echo $cs['url']; ?>" />

				<div align="center">
					<?php echo (0 != strlen($cs['content'])) ? str_replace('\\', '', $cs['content']) : ''; ?>

					<input type="text" name="cs-s-term" id="cs-s-term" <?php echo $txtbox_width; ?> style="<?php echo $txtbox_padding . $txtbox_border . $txtbox_fontsize; ?>" />
					<br /><br />
					<input type="submit" name="cmdSubmitCsShortcode" id="cmdSubmitCsShortcode" value="<?php echo $btn; ?>" style="<?php echo $btn_bg . $btn_padding . $btn_color; ?>" />

					<?php echo (0 != strlen($cs['privacy']) ? str_replace('\\', '', $cs['privacy']) : ''); ?>
				</div>
			</form> <br />


			<script type="text/javascript">
				var sbpCsShortcode<?php echo $csid; ?> = jQuery.noConflict();
				sbpCsShortcode<?php echo $csid; ?>(function($) {
					$('#sCsForm<?php echo $csid; ?>').submit(function(event) {
						event.preventDefault();

						var $this           = $(this),
							$fields         = {},
							$fieldsArray    = $this.serializeArray();

						$.each($fieldsArray, function(index ,field) {
							$fields[field.name] = field.value;
						});

						var $url    = $fields['cs-s-url'],
							$term   = $fields['cs-s-term'];

						if ($term == '') {
							alert('Cannot submit blank form');
							return false;
						}

						var $data = {
							action  : 'sbp_cs_clicks',
							id      : <?php echo $csid; ?>
						}
						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
							if (res != 0) {
								var replaceUrlTerm = $url.replace('<?php echo $cs['term']; ?>', $term);
								window.open(replaceUrlTerm);
							}
						});
					});
				});
			</script>


			<?php
		}
	}
}

new sbpShortcodesCustomsearch();