<?php
/**
 * Filename: _shortcodes_dropdown.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class sbpShortcodesDropdown {
	function __construct() {
		add_action('init', array($this, 'init'));
	}

	function init() {
		add_shortcode(SBP_CODE .'_drop', array($this, 'code'));
	}

	function code($atts) {
		ob_start();
		$this->content($atts);
		$content = ob_get_clean();
		return $content;
	}

	function content($atts) {
		extract(shortcode_atts(array(
			'id' => ''
		), $atts));

		global $sbpDatabaseDropdown;

		$dropid = intval($id);
		$drop   = $sbpDatabaseDropdown->getDropById($dropid);
		$data   = $sbpDatabaseDropdown->getDataByDropid($dropid);
		$styles = get_option($sbpDatabaseDropdown->tableStyles .'_'. $dropid);


		$select_width       = (0 != strlen($styles['shortcode_select_width'])) ? 'width:'. $styles['shortcode_select_width'] .'!important;' : '';
		$select_padding     = (0 != strlen($styles['shortcode_select_padding'])) ? 'padding:'. $styles['shortcode_select_padding'] .'!important;' : '';
		$select_border      = (0 != strlen($styles['shortcode_select_border'])) ? 'border:'. $styles['shortcode_select_border'] .'!important;' : '';
		$select_fontsize    = (0 != strlen($styles['shortcode_select_fontsize'])) ? 'font-size:'. $styles['shortcode_select_fontsize'] .'!important;' : '';

		//* add impression
		$dropImpression = array(
			'dropid'    => $dropid,
			'dataid'    => 0,
			'created'   => strftime('%Y-%m-%d %T'),
			'modified'  => strftime('%Y-%m-%d %T'),
			'ip'        => $_SERVER['REMOTE_ADDR'],
			'status'    => SBP_ENABLED
		);
		$sbpDatabaseDropdown->addImpression($dropImpression);

		if ($drop['status'] == SBP_ENABLED) {
			?>


			<div class="sDropdown<?php echo $dropid; ?>">
				<select name="s-drop-<?php echo $dropid; ?>" id="s-drop-<?php echo $dropid; ?>" style="<?php echo $select_width . $select_padding . $select_border . $select_fontsize; ?>">
					<?php
					echo (0 != strlen($drop['title'])) ? '<option value="-">'. $drop['title'] .'</option>' : '';

					if (0 != count($data)) {
						foreach ($data as $res) {
							echo '<option value="'. $res['url'] .'" rel="'. $res['dataid'] .'">'. $res['name'] .'</option>';
						}
					}
					?>
				</select>
			</div>


			<script type="text/javascript">
				var sbpDropdownShortcode<?php echo $dropid; ?> = jQuery.noConflict();
				sbpDropdownShortcode<?php echo $dropid; ?>(function($) {

					var $select<?php echo $dropid; ?> = $('#s-drop-<?php echo $dropid; ?>');

					$select<?php echo $dropid; ?>.click(function() {

						var $data   = {
							action  : 'sbp_drop_click',
							id      : <?php echo $dropid; ?>
						}
						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);

					}).on('change', function() {

						var $this   = $(this);
						if ($this.val() != '-') {
							var $data = {
								action  : 'sbp_drop_data_click',
								id      : $this.find('option:selected').attr('rel')
							}
							$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);
							window.open($this.val());
						}

					});

				});
			</script>

			<?php
		}
	}
}

new sbpShortcodesDropdown();