<?php
/**
 * Filename: _widgets_dropdown.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

class sbpWidgetsDropdown extends WP_Widget {
	function init() {
		register_widget('sbpWidgetsDropdown');
	}

	function sbpWidgetsDropdown() {
		$options = array(
			'classname'     => 'sbpWidgetsDropdown',
			'description'   => SBP_NAME .' - Dropdown is an awesome widget'
		);

		$controls = array(
			'width'     => 350,
			'height'    => 350,
			'id_base'   => SBP_CODE .'-widgets-dropdown'
		);

		parent::__construct(SBP_CODE .'-widgets-dropdown', 'Dropdown 2', $options, $controls);
	}

	function update($new, $old) {
		$instance = array();
		return $instance;
	}

	function form($instance) {
		echo '<p>Please <a href="'. admin_url('admin.php?page='. SBP_CODE) .'">click me</a> to go to the configuration area of this widget.</p>';
	}

	function widget($args, $instance) {
		global  $sbpDatabaseDropdown,
				$post;

		$getEnabledDrops = $sbpDatabaseDropdown->getDropsByStatus(SBP_ENABLED);
		if (0 != count($getEnabledDrops)) {
			foreach ($getEnabledDrops as $drop) {

				$homepage   = $drop['homepage'];
				$pages      = $drop['pages'];
				$pagesid    = $drop['pagesid'];
				$posts      = $drop['posts'];
				$postsid    = $drop['postsid'];

				//* homepage
				if (is_home() || is_front_page() || is_sticky()) {
					if ($homepage == SBP_ENABLED) {
						$this->content($args, $instance, $drop);
					}
				}

				//* pages
				if (is_page()) {
					if ($pages == SBP_ENABLED) {
						if (0 != strlen($pagesid)) {
							if (in_array($post->ID, explode(',', $pagesid))) {
								$this->content($args, $instance, $drop);
							}
						}
						else {
							$this->content($args, $instance, $drop);
						}
					}
				}

				//* posts
				if (is_single()) {
					if ($posts == SBP_ENABLED) {
						if (0 != strlen($postsid)) {
							if (in_array($post->ID, explode(',', $postsid))) {
								$this->content($args, $instance, $drop);
							}
						}
						else {
							$this->content($args, $instance, $drop);
						}
					}
				}

			}
		}
	}

	function content($args, $instance, $drop) {
		global $sbpDatabaseDropdown;

		$dropid         = $drop['dropid'];
		$data           = $sbpDatabaseDropdown->getDataByDropid($dropid);
		$styles         = get_option($sbpDatabaseDropdown->tableStyles .'_'. $dropid);

		$select_width       = (0 != strlen($styles['widget_select_width'])) ? 'width:'. $styles['widget_select_width'] .'!important;' : '';
		$select_padding     = (0 != strlen($styles['widget_select_padding'])) ? 'padding:'. $styles['widget_select_padding'] .'!important;' : '';
		$select_border      = (0 != strlen($styles['widget_select_border'])) ? 'border:'. $styles['widget_select_border'] .'!important;' : '';
		$select_fontsize    = (0 != strlen($styles['widget_select_fontsize'])) ? 'font-size:'. $styles['widget_select_fontsize'] .'!important;' : '';


		//* add impression
		$dropImpression = array(
			'dropid'    => $dropid,
			'dataid'    => 0,
			'created'   => strftime('%Y-%m-%d %T'),
			'modified'  => strftime('%Y-%m-%d %T'),
			'ip'        => $_SERVER['REMOTE_ADDR'],
			'status'    => SBP_ENABLED
		);
		$sbpDatabaseDropdown->addImpression($dropImpression);


		echo $before_widget;
			echo $before_title;
			echo $after_title;
			?>


			<div class="wDropdown<?php echo $dropid; ?>">
				<select name="w-drop-<?php echo $dropid; ?>" id="w-drop-<?php echo $dropid; ?>" style="<?php echo $select_width . $select_padding . $select_border . $select_fontsize; ?>">
					<?php
					echo (0 != strlen($drop['title'])) ? '<option value="-">'. $drop['title'] .'</option>' : '';

					if (0 != count($data)) {
						foreach ($data as $res) {
							echo '<option value="'. $res['url'] .'" rel="'. $res['dataid'] .'">'. $res['name'] .'</option>';
						}
					}
					?>
				</select>
			</div>


			<script type="text/javascript">
				var sbpDropdownWidget<?php echo $dropid; ?> = jQuery.noConflict();
				sbpDropdownWidget<?php echo $dropid; ?>(function($) {

					var $select<?php echo $dropid; ?> = $('#w-drop-<?php echo $dropid; ?>');

					$select<?php echo $dropid; ?>.click(function() {

						var $data   = {
							action  : 'sbp_drop_click',
							id      : <?php echo $dropid; ?>
						}
						$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);

					}).on('change', function() {

						var $this   = $(this);
						if ($this.val() != '-') {
							var $data = {
								action  : 'sbp_drop_data_click',
								id      : $this.find('option:selected').attr('rel')
							}
							$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data);
							window.open($this.val());
						}

					});

				});
			</script>


			<?php
		echo $after_widget;


	}
}