<?php
/**
 * Plugin Name: Squeeze Blogs Pro v2
 * Plugin URI : http://blogprofitnetwork.com/
 * Description: Squeeze Blogs Pro v2 is an awesome tool.
 * Version: 2.0.1
 * Author: Blog Profit Network
 * Author URI: http://blogprofitnetwork.com/
 *
 *
 *
 * Filename: sbp.php
 * Created by: Blog Profit Network
 * Copyright : 2015 - Blog Profit Network
 *
 * Skype: blogprofitnetwork
 * Email: marcus@blogprofitnetwork.com * Email: marcus@blogprofitnetwork.com
 */
define ('_IN_MAIN_MODULE', 1);

include_once ('config.local.php');
include_once ('lib/_database.php');
include_once ('lib/_database_squeeze.php');
include_once ('lib/_database_customsearch.php');
include_once ('lib/_database_dropdown.php');
include_once ('lib/_pages.php');
include_once ('lib/_metaboxes.php');
include_once ('lib/_shortcodes_customsearch.php');
include_once ('lib/_shortcodes_dropdown.php');
include_once ('lib/_widgets_customsearch.php');
include_once ('lib/_widgets_dropdown.php');
include_once ('lib/_widgets_squeeze.php');
include_once ('lib/_helpers.php');
include_once ('lib/_themes.php');
include_once ('lib/_init.php');

//* init variables
$sbpDatabase                = new sbpDatabase();
$sbpDatabaseSqueeze         = new sbpDatabaseSqueeze();
$sbpDatabaseCustomsearch    = new sbpDatabaseCustomsearch();
$sbpDatabaseDropdown        = new sbpDatabaseDropdown();
$sbpHelpers                 = new sbpHelpers();
$sbpThemes                  = new sbpThemes();

$sbpWidgetsSqueeze          = new sbpWidgetsSqueeze();
$sbpWidgetsCustomsearch     = new sbpWidgetsCustomsearch();
$sbpWidgetsDropdown         = new sbpWidgetsDropdown();


//* hooks for table installation / uninstallation
add_action('admin_init', 'installAllSbp');
function installAllSbp() {
	global  $sbpDatabase,
			$sbpDatabaseSqueeze,
			$sbpDatabaseCustomsearch,
			$sbpDatabaseDropdown;

//	$option = get_option('sbp_pro_installed');
//	if (!is_array($option)) {
//		$sbpDatabase->install();
//		$sbpDatabaseSqueeze->install();
//		$sbpDatabaseCustomsearch->install();
//		$sbpDatabaseDropdown->install();
//	}
//	update_option('sbp_pro_installed', true);

	$option = get_option('sbp_pro_installed');
	if (!is_array($option) || $option != '2.0.1') {
		$sbpDatabase->install();
		$sbpDatabaseSqueeze->install();
		$sbpDatabaseCustomsearch->install();
		$sbpDatabaseDropdown->install();
	}
	update_option('sbp_pro_installed', '2.0.1');
}

register_activation_hook(__FILE__, array($sbpDatabase, 'install'));
register_deactivation_hook(__FILE__, array($sbpDatabase, 'uninstall'));

register_activation_hook(__FILE__, array($sbpDatabaseSqueeze, 'install'));
register_deactivation_hook(__FILE__, array($sbpDatabaseSqueeze, 'uninstall'));

register_activation_hook(__FILE__, array($sbpDatabaseCustomsearch, 'install'));
register_deactivation_hook(__FILE__, array($sbpDatabaseCustomsearch, 'uninstall'));

register_activation_hook(__FILE__, array($sbpDatabaseDropdown, 'install'));
register_deactivation_hook(__FILE__, array($sbpDatabaseDropdown, 'uninstall'));


//* widgets
add_action('widgets_init', array($sbpWidgetsSqueeze, 'init'));
add_action('widgets_init', array($sbpWidgetsCustomsearch, 'init'));
add_action('widgets_init', array($sbpWidgetsDropdown, 'init'));


//* ajax requests
add_action('wp_ajax_sbp_load_theme', array($sbpThemes, 'getThemeDetails'));
add_action('wp_ajax_sbp_update_optin', array($sbpDatabaseSqueeze, 'updateOptin'));
add_action('wp_ajax_sbp_update_affiliates', array($sbpDatabaseSqueeze, 'updateAffiliates'));
add_action('wp_ajax_sbp_update_adsense', array($sbpDatabaseSqueeze, 'updateAdsense'));
add_action('wp_ajax_sbp_update_thankyou', array($sbpDatabaseSqueeze, 'updateThankyou'));
add_action('wp_ajax_sbp_update_sales', array($sbpDatabaseSqueeze, 'updateSales'));
add_action('wp_ajax_sbp_update_recent_comments', array($sbpDatabaseSqueeze, 'updateRecentComments'));
add_action('wp_ajax_sbp_update_recent_posts', array($sbpDatabaseSqueeze, 'updateRecentPosts'));

add_action('wp_ajax_sbp_cs_update_config', array($sbpDatabaseCustomsearch, 'updateOptions'));
add_action('wp_ajax_sbp_cs_addnew', array($sbpDatabaseCustomsearch, 'addCustomsearch'));
add_action('wp_ajax_sbp_cs_update_status', array($sbpDatabaseCustomsearch, 'updateCustomsearchStatus'));
add_action('wp_ajax_sbp_cs_delete', array($sbpDatabaseCustomsearch, 'deleteCustomsearch'));
add_action('wp_ajax_sbp_cs_update', array($sbpDatabaseCustomsearch, 'updateCustomersearch'));
add_action('wp_ajax_sbp_cs_clicks', array($sbpDatabaseCustomsearch, 'addClicks'));
add_action('wp_ajax_nopriv_sbp_cs_clicks', array($sbpDatabaseCustomsearch, 'addClicks'));
add_action('wp_ajax_sbp_cs_reset_stat', array($sbpDatabaseCustomsearch, 'resetStat'));
add_action('wp_ajax_sbp_cs_reset_all_stats', array($sbpDatabaseCustomsearch, 'resetAllStats'));

add_action('wp_ajax_sbp_drop_addnew', array($sbpDatabaseDropdown, 'addDrop'));
add_action('wp_ajax_sbp_drop_delete', array($sbpDatabaseDropdown, 'deleteDrop'));
add_action('wp_ajax_sbp_drop_update_status', array($sbpDatabaseDropdown, 'updateDropStatus'));
add_action('wp_ajax_sbp_drop_reset_all_stats', array($sbpDatabaseDropdown, 'resetAllStats'));
add_action('wp_ajax_sbp_drop_reset_stat', array($sbpDatabaseDropdown, 'resetStats'));
add_action('wp_ajax_sbp_drop_update', array($sbpDatabaseDropdown, 'updateDrop'));
add_action('wp_ajax_sbp_drop_click', array($sbpDatabaseDropdown, 'updateDropClicks'));
add_action('wp_ajax_nopriv_sbp_drop_click', array($sbpDatabaseDropdown, 'updateDropClicks'));
add_action('wp_ajax_sbp_drop_data_click', array($sbpDatabaseDropdown, 'updateDataClicks'));