<?php
/**
 * Filename: edit-drop.php
 * Created : Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 * Copyright 2017 - Andy Christian S. Loyola <acl20032003@gmail.com> (http://AndysDesigns.Net)
 *
 * Skype: andy_christian_loyola_
 * Yahoo: andz_christian
 * GTalk: acl20032003@gmail.com
 */
defined('_IN_MAIN_MODULE') or die ('ACCESS DENIED');

include_once ('pages/header.part.php');

$dropid         = intval($_GET['id']);
$drop           = $sbpDatabaseDropdown->getDropById($dropid);
$data           = $sbpDatabaseDropdown->getDataByDropid($dropid);
$styles         = get_option($sbpDatabaseDropdown->tableStyles .'_'. $dropid);
$dropMaxCount   = $sbpDatabaseDropdown->tableDropMaxCount;
?>


	<div class="ui-tabs">
		<ul class="ui-tabs-nav">
			<li><a href="#edit">Edit <?php echo $drop['name']; ?></a></li>
		</ul>

		<div id="edit">
			<!-- holder addnew -->
			<div id="holder-drop-addnew">
				<form name="dropAddNewForm" id="dropAddNewForm" method="POST" action="">
					<input type="hidden" name="drop-id" id="drop-id" value="<?php echo $dropid; ?>" />

					<div class="row cell">
						<h3>Add New</h3> <hr />
					</div>

					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="drop-name">Name ( reference only )</label>
								<input type="text" name="drop-name" id="drop-name" placeholder="Enter name ( reference only )" value="<?php echo $drop['name']; ?>" />
							</div>
						</div>
					</div>


					<!-- widgets -->
					<div class="row cells2">
						<div class="cell">
							<div>
								<label for="drop-homepage" class="input-control checkbox adjust-top">
									<input type="checkbox" name="drop-homepage" id="drop-homepage" <?php echo ($drop['homepage'] == SBP_ENABLED) ? 'checked="checked"' : ''; ?> />
									<span class="check"></span>
									<span class="caption">Homepage</span>
								</label>
							</div>

							<div>
								<label for="drop-pages" class="input-control checkbox adjust-top">
									<input type="checkbox" name="drop-pages" id="drop-pages" <?php echo ($drop['pages'] == SBP_ENABLED) ? 'checked="checked"' : ''; ?> />
									<span class="check"></span>
									<span class="caption">Pages</span>
								</label>

								<div id="holder-drop-pagesid" class="input-control text" style="width:55%;">
									<input type="text" name="drop-pagesid" id="drop-pagesid" placeholder="Enter PagesID. Comma separated." value="<?php echo $drop['pagesid']; ?>" />
								</div>
							</div>

							<div>
								<label for="drop-posts" class="input-control checkbox adjust-top">
									<input type="checkbox" name="drop-posts" id="drop-posts" <?php echo ($drop['posts'] == SBP_ENABLED) ? 'checked="checked"' : ''; ?> />
									<span class="check"></span>
									<span class="caption">Posts</span>
								</label>

								<div id="holder-drop-postsid" class="input-control text" style="margin-left:2px; width:55%;">
									<input type="text" name="drop-postsid" id="drop-postsid" placeholder="Enter PostsID. Comma separated." value="<?php echo $drop['postsid']; ?>" />
								</div>
							</div>
						</div>
					</div> <br />
					<!-- // widgets -->


					<!-- default title -->
					<div class="row cells2">
						<div class="cell">
							<div class="input-control text full-size">
								<label for="drop-title">Default Value</label>
								<input type="text" name="drop-title" id="drop-title" placeholder="Enter default value ( e.g. Select From The List )" value="<?php echo $drop['title']; ?>" />
							</div>
						</div>
					</div> <br />
					<!-- // default title -->


					<!-- data -->
					<?php for ($d = 1; $d <= $dropMaxCount; $d++) {
						?>

						<div class="row cells2">
							<div class="cell">
								<div class="input-control text full-size">
									<label for="drop-description-<?php echo $d; ?>">Description <?php echo $d; ?></label>
									<input type="text" name="drop-description-<?php echo $d; ?>" id="drop-description-<?php echo $d; ?>" placeholder="Enter description <?php echo $d; ?>" value="<?php echo $data[$d]['name']; ?>" />
								</div>
							</div>

							<div class="cell">
								<div class="input-control text full-size">
									<label for="drop-url-<?php echo $d; ?>">URL <?php echo $d; ?></label>
									<input type="text" name="drop-url-<?php echo $d; ?>" id="drop-url-<?php echo $d; ?>" placeholder="Enter URL <?php echo $d; ?>" value="<?php echo $data[$d]['url']; ?>" />
								</div>
							</div>
						</div>

					<?php } ?> <br />
					<!-- // data -->


					<!-- shortcode and configuration -->
					<div class="row cells2">
						<div class="cell">
							<div class="panel" data-role="panel">
								<div class="heading">
									<span class="title">Shortcode Configuration</span>
								</div>
							</div>
							<div class="content" style="padding:10px; background:#ccc;">
								<br />
								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="drop-shortcode-select-width">Select Width</label>
											<input type="text" name="drop-shortcode-select-width" id="drop-shortcode-select-width" placeholder="Enter select width" value="<?php echo $styles['shortcode_select_width']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="drop-shortcode-select-padding">Select Padding</label>
											<input type="text" name="drop-shortcode-select-padding" id="drop-shortcode-select-padding" placeholder="Enter select padding" value="<?php echo $styles['shortcode_select_padding']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="drop-shortcode-select-border">Select Border & Color</label>
											<input type="text" name="drop-shortcode-select-border" id="drop-shortcode-select-border" placeholder="Enter select border & color" value="<?php echo $styles['shortcode_select_border']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="drop-shortcode-select-fontsize">Font Size</label>
											<input type="text" name="drop-shortcode-select-fontsize" id="drop-shortcode-select-fontsize" placeholder="Enter font size" value="<?php echo $styles['shortcode_select_fontsize']; ?>" />
										</div>
									</div>
								</div>
							</div>
						</div>

						<div class="cell">
							<div class="panel" data-role="panel">
								<div class="heading">
									<span class="title">Widget Configuration</span>
								</div>
							</div>
							<div class="content" style="padding:10px; background:#ccc;">
								<br />
								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="drop-widget-select-width">Select Width</label>
											<input type="text" name="drop-widget-select-width" id="drop-widget-select-width" placeholder="Enter select width" value="<?php echo $styles['widget_select_width']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="drop-widget-select-padding">Select Padding</label>
											<input type="text" name="drop-widget-select-padding" id="drop-widget-select-padding" placeholder="Enter select padding" value="<?php echo $styles['widget_select_padding']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="drop-widget-select-border">Select Border & Color</label>
											<input type="text" name="drop-widget-select-border" id="drop-widget-select-border" placeholder="Enter select border & color" value="<?php echo $styles['widget_select_border']; ?>" />
										</div>
									</div>
								</div>

								<div class="row">
									<div class="cell">
										<div class="input-control text full-size">
											<label for="drop-widget-select-fontsize">Font Size</label>
											<input type="text" name="drop-widget-select-fontsize" id="drop-widget-select-fontsize" placeholder="Enter font size" value="<?php echo $styles['widget_select_fontsize']; ?>" />
										</div>
									</div>
								</div>
							</div>
						</div>
					</div> <br />
					<!-- // shortcode and configuration -->


					<br />
					<div class="row cells2">
						<div class="cell">
							<input type="submit" name="cmdUpdateDropdown" id="cmdUpdateDropdown" class="button button-primary" value="Submit Changes" />
							<a href="<?php echo admin_url('admin.php?page='. SBP_CODE); ?>" name="cmdCancelNewDropdown" id="cmdCancelNewDropdown" class="button button-secondary fg-red">
								<span class="mif-cancel fg-red"></span> Cancel
							</a>
							<span id="dialog-drop-addnew"></span>
						</div>
					</div>
				</form>
			</div>
			<!-- // holder addnew -->
		</div>
	</div>


	<script type="text/javascript">
		var sbpDropdown = jQuery.noConflict();
		sbpDropdown(function($) {

			//* pages
			if ($('#drop-pages').is(':checked')) {
				$('#holder-drop-pagesid').slideDown();
			}
			else {
				$('#holder-drop-pagesid').slideUp();
			}

			$('#drop-pages').click(function() {
				var $this   = $(this),
					$holder = $('#holder-drop-pagesid');

				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			});


			//* posts
			if ($('#drop-posts').is(':checked')) {
				$('#holder-drop-postsid').slideDown();
			}
			else {
				$('#holder-drop-postsid').slideUp();
			}

			$('#drop-posts').click(function() {
				var $this   = $(this),
					$holder = $('#holder-drop-postsid');

				if ($this.is(':checked')) {
					$holder.slideDown();
				}
				else {
					$holder.slideUp();
				}
			});


			//* submit
			$('#cmdUpdateDropdown').click(function() {

				<?php
				for ($dJs = 1; $dJs <= $dropMaxCount; $dJs++) {
					echo 'var $description'. $dJs .' = $("#drop-description-'. $dJs .'");';
					echo 'var $url'. $dJs .' = $("#drop-url-'. $dJs .'");';
				}
				?>

				var $name                       = $('#drop-name'),
					$id                         = $('#drop-id'),

					$homepage                   = $('#drop-homepage'),
					$pages                      = $('#drop-pages'),
					$pagesid                    = $('#drop-pagesid'),
					$posts                      = $('#drop-posts'),
					$postsid                    = $('#drop-postsid'),

					$title                      = $('#drop-title'),

					$shortcodeSelectWidth       = $('#drop-shortcode-select-width'),
					$shortcodeSelectPadding     = $('#drop-shortcode-select-padding'),
					$shortcodeSelectBorder      = $('#drop-shortcode-select-border'),
					$shortcodeSelectFontsize    = $('#drop-shortcode-select-fontsize'),

					$widgetSelectWidth          = $('#drop-widget-select-width'),
					$widgetSelectPadding        = $('#drop-widget-select-padding'),
					$widgetSelectBorder         = $('#drop-widget-select-border'),
					$widgetSelectFontsize       = $('#drop-widget-select-fontsize'),

					$dialog                     = $('#dialog-drop-addnew'),

					$data                       = {
						action          : 'sbp_drop_update',
						name            : $name.val(),
						id              : $id.val(),

						homepage        : $homepage.is(':checked'),
						pages           : $pages.is(':checked'),
						pagesid         : $pagesid.val(),
						posts           : $posts.is(':checked'),
						postsid         : $postsid.val(),

						title           : $title.val(),

						sSelectWidth    : $shortcodeSelectWidth.val(),
						sSelectPadding  : $shortcodeSelectPadding.val(),
						sSelectBorder   : $shortcodeSelectBorder.val(),
						sSelectFontsize : $shortcodeSelectFontsize.val(),

						wSelectWidth    : $widgetSelectWidth.val(),
						wSelectPadding  : $widgetSelectPadding.val(),
						wSelectBorder   : $widgetSelectBorder.val(),
						wSelectFontsize : $widgetSelectFontsize.val(),

						<?php
						for ($x = 1; $x <= $dropMaxCount; $x++) {
							echo 'description'. $x .' : $description'. $x .'.val(), ';

							if ('url'. $x .' : $url'. $x .'.val()' == 'url'. $dropMaxCount .' : $url'. $dropMaxCount .'.val()') {
								echo 'url'. $x .' : $url'. $x .'.val()';
							}
							else {
								echo 'url'. $x .' : $url'. $x .'.val(), ';
							}
						}
						?>
					};

				$dialog.empty().append('Submitting data... Please wait!');
				$.post('<?php echo admin_url('admin-ajax.php'); ?>', $data, function(res) {
					if (res != 'done') {
						$dialog.empty().append('There was a problem submitting your data. Please try again!');
					}
					else {
						$dialog.empty().append('Data has been successfully submitted.');
						window.location.href = '<?php echo admin_url('admin.php?page='. SBP_CODE); ?>';
					}
				});

				return false;
			});
		});
	</script>


<?php
include_once ('pages/footer.part.php');